Name:           wklej
Version:        0.1.7
Release:        3%{?dist}
Summary:        A wklej.org submitter
Summary(pl):    Skrypt umieszczający tekst w serwisie wklej.org

Group:          Applications/Text
License:        GPLv2+
URL:            http://wklej.org/
Source0:        http://wklej.org/m/apps/wklej-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

#BuildRequires:  
Requires:       python

%description
A wklej.org submitter.

%description -l pl
Skrypt służący do umieszczania tesktu w serwisie wklej.org.

%package vim

Summary:        A wklej.org submitter plugin for vim
Summary(pl):    Wtyczka do vima umieszczająca tekst w serwisie wklej.org
Group:          Applications/Text
Requires:       python vim

%description vim
A wklej.org submitter plugin for vim.

%description vim -l pl
Wtyczka do vima umieszczająca tekst w serwisie wklej.org.

%prep
%setup -q -c


%build
#nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/plugin
install -p -m 755 wklej $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 wklej.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/plugin


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/wklej

%files vim
%defattr(-,root,root,-)
%{_datadir}/vim/vimfiles/plugin/wklej.vim

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Rafał Psota <rafalzaq@gmail.com> - 0.1.7-1
- update to 0.1.7

* Thu Feb 26 2009 Rafał Psota <rafalzaq@gmail.com> - 0.1.6-1
- update to 0.1.6

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Rafał Psota <rafalzaq@gmail.com> - 0.1.4-1
- update to 0.1.4

* Wed Aug 27 2008 Rafał Psota <rafalzaq@gmail.com> - 0.1.2-1
- update to 0.1.2

* Thu Aug 21 2008 Rafał Psota <rafalzaq@gmail.com> - 0.1.1-1
- update to 0.1.1

* Sun Jan 20 2008 Rafał Psota <rafalzaq@gmail.com> - 0.0.9-3
- preserve timestamps for the source

* Sun Dec 23 2007 Rafał Psota <rafalzaq@gmail.com> - 0.0.9-2
- removed external COPYING file

* Sat Dec 22 2007 Rafał Psota <rafalzaq@gmail.com> - 0.0.9-1
- Initial release
